Hide navigation sidebar
Hide table of contents sidebar
PTB has undergone significant changes in v20. Please read the documentation carefully and also check out the transition guide in the wiki.
Back to top
Toggle table of contents sidebar

# IdDocumentData

class telegram.IdDocumentData(document_no, expiry_date, *, api_kwargs=None)

  Bases: `telegram.TelegramObject`

  This object represents the data of an identity document.

  Parameters:

    - document_no (`str`) – Document number.

    - expiry_date (`str`) – Optional. Date of expiry, in DD.MM.YYYY format.

  document_no

    Document number.

    Type:

      `str`

  expiry_date

    Optional. Date of expiry, in DD.MM.YYYY format.

    Type:

      `str`

  Available In

  `telegram.EncryptedPassportElement.data`